Name:           python-pyqtchart
Version:        5.12
Release:        4%{?dist}
Summary:        Set of Python bindings for The Qt Charts library
License:        GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqtchart/
Source0:        https://www.riverbankcomputing.com/static/Downloads/PyQtChart/%{version}/PyQtChart_gpl-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-sip-devel
BuildRequires:  qt5-devel
BuildRequires:  qt5-qtcharts-devel

%global distinfo %{python3_sitearch}/PyQtChart-%{version}.dist-info

%description
PyQtChart is a set of Python bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt5 and are implemented as a single module.


%package -n python3-pyqtchart
Summary:    %{summary}
%{?python_provide:%python_provide python3-pyqtchart}
Requires:   python3-qt5

%description -n python3-pyqtchart
PyQtChart is a set of Python 3 bindings for The Qt Company's Qt Charts library.
The bindings sit on top of PyQt5 and are implemented as a single module.


%package -n python3-pyqtchart-devel
Summary:    Development files for PyQtChart
%{?python_provide:%python_provide python3-pyqtchart-devel}
Requires:   python3-pyqtchart%{_isa} == %{version}-%{release}
# For the directories:
Requires:   python3-qt5-devel
Requires:   python3-qscintilla-qt5
Requires:   qt5-qtbase

%description -n python3-pyqtchart-devel
Development files for PyQtChart, such as sip files.


%prep
%autosetup -p1 -n PyQtChart_gpl-%{version}


%build
%set_build_flags
%{__python3} ./configure.py --qmake="%{_qt5_qmake}" --verbose
%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"


%install
%make_install INSTALL_ROOT=%{buildroot}

# Make sure all modules are executable for RPM to get their dependencies, debuginfo, etc.
chmod a+rx %{buildroot}%{python3_sitearch}/PyQt5/*.so

%check
# Make sure we don't leak buildroot to dist-info
! grep %{buildroot} %{buildroot}%{distinfo}/*


%files -n python3-pyqtchart
%license LICENSE
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtChart.*
%{distinfo}/

%files -n python3-pyqtchart-devel
%{_datadir}/qt5/qsci/api/python/PyQtChart.api
%{_datadir}/sip/PyQt5/QtChart/


%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 2019 Miro Hrončok <mhroncok@redhat.com> - 5.12-3
- Fix Python modules permissions to properly fix (#1731656)

* Sat Jul 20 2019 Miro Hrončok <mhroncok@redhat.com> - 5.12-2
- Add explicit runtime dependency on qt5-qtcharts (#1731656)

* Mon Jul 15 2019 Miro Hrončok <mhroncok@redhat.com> - 5.12-1
- Update to 5.12

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 02 2018 Miro Hrončok <mhroncok@redhat.com> - 5.11.1-2
- Rebuilt for Python 3.7

* Fri Jun 29 2018 Miro Hrončok <mhroncok@redhat.com> - 5.11.1-1
- Initial package
